//终端流量相关
import request from '@/utils/request'

export default {
    //查询流量列表
    getList(data) {
        return request({
            url: '/device-boot/rateOfFlow/getRateOfFlowData',
            method: 'post',
            data: data,
        })
    },
    //新增流量
    addRateOfFlowData(data) {
        return request({
            url: '/device-boot/rateOfFlow/addRateOfFlowData',
            method: 'post',
            data: data,
        })
    },
    //修改流量套餐
    updateRateOfFlowData(data) {
        return request({
            url: '/device-boot/rateOfFlow/updateRateOfFlowData',
            method: 'post',
            data: data,
        })
    },
    //删除流量套餐
    deleteRateOfFlowData(data) {
        return request({
            url: '/device-boot/rateOfFlow/deleteRateOfFlowData',
            method: 'post',
            params: { id: data },
        })
    },

    //流量策略主列表
    getFlowStrategyList(data) {
        return request({
            url: '/device-boot/rateOfFlow/getRateOfFlowStrategy',
            method: 'post',
            data: data,
        })
    },
    //新增流量策略主列表
    addRateOfFlowStrategy(data) {
        return request({
            url: '/device-boot/rateOfFlow/addRateOfFlowStrategy',
            method: 'post',
            data: data,
        })
    },
    //修改流量策略主列表
    updateRateOfFlowStrategy(data) {
        return request({
            url: '/device-boot/rateOfFlow/updateRateOfFlowStrategy',
            method: 'post',
            data: data,
        })
    },

    //删除流量策略
    deleteRateOfFlowStrategy(data) {
        return request({
            url: '/device-boot/rateOfFlow/deleteRateOfFlowStrategy',
            method: 'post',
            params: { id: data },
        })
    },
    //流量策略数据回显
    getFlowStrategyById(data) {
        return request({
            url: '/device-boot/rateOfFlow/getFlowStrategyById',
            method: 'post',
            params: { id: data },
        })
    }
}